package com.xunhong.erp.turbo.api.user.exception;

import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 文件上传错误码
 */
public enum UserErrorCode implements ErrorCode {

	/**
	 * 该权限正在被菜单使用，不能删除
	 */
	PERMISSION_USED("PERMISSION_USED", "该权限正在被菜单使用，不能删除"),

	/**
	 * 当前登录账号不存在，请检查登录账号是否正确！
	 */
	B_USER_USER_AUTH_NULL("B_USER_USER_AUTH_NULL", "当前登录账号不存在，请检查登录账号是否正确！"),

	/**
	 * 当前登录账号密码不正确，请检查密码是否正确！
	 */
	B_USER_USER_AUTH_PASSWORD_ERROR("B_USER_USER_AUTH_PASSWORD_ERROR", "当前登录账号密码不正确，请检查密码是否正确！"),

	/**
	 * 当前登录账号已禁用！
	 */
	B_USER_USER_AUTH_DISABLE("B_USER_USER_AUTH_DISABLE", "当前登录账号已禁用！"),

	/**
	 * 当前登录账号已过期！
	 */
	B_USER_USER_AUTH_EXPIRED("B_USER_USER_AUTH_EXPIRED", "当前登录账号已过期！"),

	/**
	 * 当前登录账号已锁定！
	 */
	B_USER_USER_AUTH_LOCKED("B_USER_USER_AUTH_LOCKED", "当前登录账号已锁定！"),

	/**
	 * 当前账号暂无该应用权限
	 */
	B_USER_USER_AUTH_APP_NULL("B_USER_USER_AUTH_APP_NULL", "当前账号暂无应用权限"),

	/**
	 * 手机号码重复
	 */
	B_USER_USER_PHONE_REPEAT("B_USER_USER_PHONE_REPEAT", "手机号码重复"),

	/**
	 * 客户编号重复
	 */
	B_USER_USER_NICKNAME_REPEAT("B_USER_USER_NICKNAME_REPEAT", "客户编号重复"),

	/**
	 * 客户名称必填
	 */
	B_USER_USER_NAME_REQUIRED("B_USER_USER_NAME_REQUIRED", "客户名称必填"),

	/**
	 * 客户名称重复
	 */
	B_USER_USER_NAME_REPEAT("B_USER_USER_NAME_REPEAT", "客户名称重复"),

	/**
	 * 无法删除客户，该客户存在关联订单。
	 */
	B_USER_USER_ORDER_EXISTS("B_USER_USER_ORDER_EXISTS", "无法删除客户，该客户存在关联订单。"),

	/**
	 * 无法删除客户，该客户存在关联课程。
	 */
	B_USER_USER_COURSE_QUOTA_EXISTS("USER_USER_COURSE_QUOTA_EXISTS", "无法删除客户，该客户存在关联课程名额。"),

	/**
	 * 无法删除客户，该客户存在积分或者余额账户。
	 */
	B_USER_USER_ACCOUNT_EXISTS("B_USER_USER_ACCOUNT_EXISTS", "无法删除客户，该客户存在积分或者余额账户。"),

	/**
	 * 无法删除客户，该客户存在优惠券。
	 */
	B_USER_USER_COUPON_EXISTS("B_USER_USER_COUPON_EXISTS", "无法删除客户，该客户存在优惠券。"),
	/**
	 * 小区合伙人申请记录不存在
	 */
	B_USER_PARTNER_APPLY_NOT_EXIST("B_USER_PARTNER_APPLY_NOT_EXIST", "小区合伙人申请记录不存在"),

	/**
	 * 小区合伙人申请已审核通过，不允许操作
	 */
	B_USER_PARTNER_APPLY_AUDIT_SUCCESS_NOT_ALLOW_OPERATE("B_USER_PARTNER_APPLY_AUDIT_SUCCESS_NOT_ALLOW_OPERATE", "小区合伙人申请已审核通过，不允许操作"),
	B_USER_PARTNER_COMMUNITY_APPLY_NOT_EXIST("B_USER_PARTNER_COMMUNITY_APPLY_NOT_EXIST", "合伙人合作小区申请记录不存在"),
	B_USER_PARTNER_COMMUNITY_APPLY_NOT_WAIT_AUDIT("B_USER_PARTNER_COMMUNITY_APPLY_NOT_WAIT_AUDIT", "合伙人合作小区申请记录不是待审核状态"),
	B_USER_PARTNER_COMMUNITY_APPLY_NOT_CANCEL("B_USER_PARTNER_COMMUNITY_APPLY_NOT_CANCEL", "合伙人合作小区申请记录不是取消状态"),
	B_USER_PARTNER_COMMUNITY_APPLY_NOT_REJECT("B_USER_PARTNER_COMMUNITY_APPLY_NOT_REJECT", "合伙人合作小区申请记录不是拒绝状态");


	private final String code;

	private final String message;

	UserErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}

	@Override
	public String getCode() {
		return this.code;
	}

	@Override
	public String getMessage() {
		return this.message;
	}
}
